petsc-3.15.0 2021-03-30
Report Typos and Errors

# PCApplyTranspose

Applies the transpose of preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApplyTranspose(PC pc,Vec x,Vec y)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| x | - input vector

### Output Parameter

| y | - output vector

### Notes

For complex numbers this applies the non-Hermitian transpose.

### Developer Notes

We need to implement a PCApplyHermitianTranspose()

### See Also

PCApply(), PCApplyBAorAB(), PCApplyBAorABTranspose(), PCApplyTransposeExists()

### Level

developer

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages